import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'

import '@csstools/normalize.css';
// import '@mdi/font/css/materialdesignicons.css'
import './assets/main.scss'

// var decomp = require('poly-decomp');
// window.decomp = decomp;

import VuePlyr from 'vue-plyr'
import 'vue-plyr/dist/vue-plyr.css'

const app = createApp(App)
// https://vuejs.org/guide/components/provide-inject.html#provide
app.config.unwrapInjectedRef = true;

const pinia = createPinia()
pinia.use( ({store}) => { store.router = router } )
app.use(pinia)
app.use(router)
// app.use(VueCollapsiblePanel)
app.use(VuePlyr, {
  plyr: {}
})
app.mount('#app')
